#test file used by xing

import sys
import atexit
from argoscc.argosCC import ArgosCC # check this
#from argosCC import ArgosCC


cc = ArgosCC(nodesFile='./argos.ips', 
	frequency=2.4,
	channel=14, #best 5ghz channels are 5 and 12
	num_uplink_samples=0, #2048 #not useful for csi collection 
	agc_interval=0.050, 
	frame_length=.4e6,  # sample clock 20MHz
	iq_agc_en=False, 
	rssi_agc_en=True, 
	collect_down_rssi=False,
	num_mob_rssi=128, 
	wideband=True, 
	bs_tx_gain=[29],  
	bs_rx_gain=[38], 
	mob_rx_gain=[52], #rx gain 0 to 93 dB (shown in interface_m2829.py)
	mob_tx_gain=[25], #tx gain -5 to 31 dB
	both_mob_pilots=True,) 
	#dont_init=False)
atexit.register(cc.close) #make sure we save the hdf5 file properly, we don't want to lose a long trace because of a crash. (it also helps to release the udp ports)
print(cc.nodes)
#cc.use_CLIB = False
cc.collectCSI(duration=1, calibrateAoA=False)
print('cc.collectCSI(duration=10)') #easy copy paste


# for channel switch
#channel 1
cc.nodes.interfaceCmd('channel', 'RFALL', 2.4, 1)
cc.channel = 1;
cc.frequency = 2.4;
cc.collectCSI(duration=10)
#print('cc.collectCSI(duration=10)')

#or this one
cc.set_channel(2.4,1)






