# -*- coding: utf-8 -*-

from channel_analysis import *
import scipy.io as sio

h5log = h5py.File('/Users/xingzhang/python_argosv2/argoscc/logs/channe1_NLOS_cluster10_loc1.hdf5', 'r')
samps_per_user = h5log.attrs['samples_per_user']
num_users = h5log.attrs['num_mob_ant']
timestep = h5log.attrs['frame_length']/20e6		


#compute CSI for each user and get a nice numpy array
csi,iq = samps2csi_large(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
#noise = csi[:,-1,:,:,:]  #noise is last set of data.
#noiseA = np.mean(np.abs(noise),1)
#userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs
userCSI = np.mean(csi[:,:,:,:,:],2)
#sio.savemat('noise1_los.mat', mdict={'noise1_los':noiseA})
sio.savemat('chl1_nlos_1.mat',mdict={'chl1_nlos_1':userCSI}) #Returns csi with Frame, User, BS ant, Subcarrier
#sio.savemat('noise_chl1_11_1.mat',mdict={'noise_chl1_11_1':noiseA})


h5log = h5py.File('/Users/xingzhang/python_argosv2/argoscc/logs/channe14_NLOS_cluster10_loc1.hdf5', 'r')
samps_per_user2 = h5log.attrs['samples_per_user']
num_users = h5log.attrs['num_mob_ant']
timestep = h5log.attrs['frame_length']/20e6		


#compute CSI for each user and get a nice numpy array
csi,iq = samps2csi_large(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
#noise = csi[:,-1,:,:,:]  #noise is last set of data.
#noiseA = np.mean(np.abs(noise),1)
#userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs
userCSI = np.mean(csi[:,:,:,:,:],2)
#sio.savemat('noise_chl14_11_1.mat', mdict={'noise_chl14_11_1':noiseA})
sio.savemat('chl14_nlos_1.mat',mdict={'chl14_nlos_1':userCSI}) #Returns csi with Frame, User, BS ant, Subcarrier
#sio.savemat('noise_los_moving.mat',mdict={'noise_los_moving':noiseA})

# h5log = h5py.File('channel14_f2_l4_3.hdf5', 'r')
# samps_per_user = h5log.attrs['samples_per_user']
# num_users = h5log.attrs['num_mob_ant']
# timestep = h5log.attrs['frame_length']/20e6		


# #compute CSI for each user and get a nice numpy array
# csi,iq = samps2csi(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
# noise = csi[:,-1,:,:,:]  #noise is last set of data.
# noiseA = np.mean(np.abs(noise),1)
# userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs

# #sio.savemat('noise1_los.mat', mdict={'noise1_los':noiseA})
# sio.savemat('channel14_f2_l4_3.mat',mdict={'channel14_f2_l4_3':userCSI})


# h5log = h5py.File('channel1_f2_l4_4.hdf5', 'r')
# samps_per_user = h5log.attrs['samples_per_user']
# num_users = h5log.attrs['num_mob_ant']
# timestep = h5log.attrs['frame_length']/20e6		


# #compute CSI for each user and get a nice numpy array
# csi,iq = samps2csi(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
# noise = csi[:,-1,:,:,:]  #noise is last set of data.
# noiseA = np.mean(np.abs(noise),1)
# userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs

# #sio.savemat('noise1_los.mat', mdict={'noise1_los':noiseA})
# sio.savemat('channel1_f2_l4_4.mat',mdict={'channel1_f2_l4_4':userCSI})


# h5log = h5py.File('channel14_f2_l4_4.hdf5', 'r')
# samps_per_user = h5log.attrs['samples_per_user']
# num_users = h5log.attrs['num_mob_ant']
# timestep = h5log.attrs['frame_length']/20e6		


# #compute CSI for each user and get a nice numpy array
# csi,iq = samps2csi(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
# noise = csi[:,-1,:,:,:]  #noise is last set of data.
# noiseA = np.mean(np.abs(noise),1)
# userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs

# #sio.savemat('noise1_los.mat', mdict={'noise1_los':noiseA})
# sio.savemat('channel14_f2_l4_4.mat',mdict={'channel14_f2_l4_4':userCSI})














