# -*- coding: utf-8 -*-

from channel_analysis import *
import scipy.io as sio

h5log = h5py.File('/Users/xingzhang/python_argosv2/argoscc/logs/cha1_NLOS_cluster11_loc1.hdf5', 'r')
samps_per_user = h5log.attrs['samples_per_user']
num_users = h5log.attrs['num_mob_ant']
timestep = h5log.attrs['frame_length']/20e6		


#compute CSI for each user and get a nice numpy array
csi,iq = samps2csi_large(h5log['Pilot_Samples'], num_users+1, samps_per_user) #Returns csi with Frame, User, LTS (there are 2), BS ant, Subcarrier  #also, iq samples nicely chunked out, same dims, but subcarrier is sample.
noise = csi[:,-1,:,:,:]  #noise is last set of data.
noiseA = np.mean(np.abs(noise),1)
userCSI = np.mean(csi[:,:num_users,:,:,:],2) #don't include noise, average over both LTSs
