import os
import numpy as np

def read_precomp_code( N, index=0 ):
	# This code generates gold or kasami sequences of length 2^N.

	numsyms = 2**N-1
	#path = os.getcwd()
	#path = path.replace("Argos\\CentralController\\python","Argos\\Common\\matlab")
	path = os.path.dirname(os.path.realpath(__file__))
	
	if numsyms == 255  or  numsyms == 63:
		filename = path + '/codebooks/kasamilarge-' + str(numsyms)
		#sequence = readFileSignature( filename, index );
		File = open(filename,'r')	
		#d = textread(filename, '%d')
		d = [ list(map(int,line.split())) for line in File]
		d = np.array(d)
		out = d
		out = d[index,:]
		File.close()
		if 0: 
			seq1 = d[index,:]
			seq2 = np.roll(seq1,(numsyms+1)/2+1)
			quadseq = [0] + seq1 + sqrt(-1)*seq2
			symseq = np.zeros(2*(numsyms+1),1)
			symseq[1:2*(numsyms+1)-1:2] = quadseq
			sequence = np.fft.ifft(symseq)
			#Notice that we are adding a cyclic prefix of 1/5 of the signature txlen
			sequence = np.concatonate(sequence[3/4*(numsyms+1)*2+1:(numsyms+1)*2].transpose(), sequence.transpose(), axis = 1).transpose() #.' transpose (' conj transpose)
			offset = (numsyms+1)*2-3/4*(numsyms+1)*2+1
	
	elif numsyms == 127  or  numsyms == 511:
		filename = path + '/codebooks/gold-' + str(numsyms)
		#sequence = readFileSignature( filename, index );
		File = open(filename,'r')
		d = [ list(map(int,line.split())) for line in File ]
		d = np.array(d)
		out = d[index,:]
		File.close()
		if 0:
			seq1 = d[index,:]
			seq2 = np.roll(seq1,(numsyms+1)/2+1)
			quadseq = [0] + seq1 + sqrt(-1)*seq2
			symseq = np.zeros(2*(numsyms+1),1)
			symseq[1:2*(numsyms+1)-1:2] = quadseq
			sequence = np.fft.ifft(symseq)
			#Notice that we are adding a cyclic prefix of 1/5 of the signature txlen
			sequence = np.concatonate(sequence[3/4*(numsyms+1)*2+1:(numsyms+1)*2].transpose(), sequence.transpose(),axis = 1).transpose() #.' transpose (' conj transpose)
			offset = (numsyms+1)*2-3/4*(numsyms+1)*2+1
			len = numsyms+1
	
	else:
		print('Length not supported')

	return out

		#TODO : 1.path (5,8,25), lines 19, 21
